I know to be able to run an unlocked version of 1.1.2 i must start from 1.1.1. My iphone will not update or restore to this version of the firmware. I get error message (1) unknown error or something like error ex000013. I have tried to reach 1.1.1 from 1.0.2 and 1.1.2. neither works. Please can someone help me! i brought my iphone in early september and it was originally unlocked with iphonesimfree (their first version). My iphone/mac is currently as follows:

running leopard
itunes 7.5
device communication 1.0.1
firmware 1.0.2(1C28)
modem firmware 03.14.08_G
reunlocked with anysim (after attempting to reach 1.1.1)

any help would be great....this is really frustrating!